std::fpos< _StateT >(3cxx)

NAME
std::fpos< _StateT > - Class representing stream positions.

SYNOPSIS

  Public Member Functions

fpos (const fpos &)=default
fpos (streamoff __off)
Construct position from offset.
operator streamoff () const
Convert to streamoff.
fpos operator+ (streamoff __off) const
Add position and offset.
fpos & operator+= (streamoff __off)
Add offset to this position.
streamoff operator- (const fpos &__other) const
Subtract position to return offset.
fpos operator- (streamoff __off) const
Subtract offset from position.
fpos & operator-= (streamoff __off)
Subtract offset from this position.
fpos & operator= (const fpos &)=default
_StateT state () const
Return the last set value of st.
void state (_StateT __st)
Remember the value of st.

Detailed Description

  template<typename _StateT>
class std::fpos< _StateT >" Class representing stream positions.

The standard places no requirements upon the template parameter StateT. In this implementation StateT must be DefaultConstructible, CopyConstructible and Assignable. The standard only requires that fpos should contain a member of type StateT. In this implementation it also contains an offset stored as a signed integer.

Parameters
    StateT Type passed to and returned from state().

Definition at line 112 of file postypes.h.

Constructor & Destructor Documentation

  template<typename _StateT > std::fpos< _StateT >::fpos (streamoff __off) [inline]

Construct position from offset.

Definition at line 133 of file postypes.h.

Member Function Documentation

  template<typename _StateT > std::fpos< _StateT >::operator streamoff () const [inline]

Convert to streamoff.

Definition at line 143 of file postypes.h.

  template<typename _StateT > fpos std::fpos< _StateT >::operator+ (streamoff __off) const [inline]

Add position and offset.

Definition at line 184 of file postypes.h.

  template<typename _StateT > fpos& std::fpos< _StateT >::operator+= (streamoff __off) [inline]

Add offset to this position.

Definition at line 160 of file postypes.h.

  template<typename _StateT > streamoff std::fpos< _StateT >::operator- (const fpos< _StateT > & __other) const [inline]

Subtract position to return offset.

Definition at line 211 of file postypes.h.

  template<typename _StateT > fpos std::fpos< _StateT >::operator- (streamoff __off) const [inline]

Subtract offset from position.

Definition at line 198 of file postypes.h.

  template<typename _StateT > fpos& std::fpos< _StateT >::operator-= (streamoff __off) [inline]

Subtract offset from this position.

Definition at line 171 of file postypes.h.

  template<typename _StateT > _StateT std::fpos< _StateT >::state () const [inline]

Return the last set value of st.

Definition at line 152 of file postypes.h.

  template<typename _StateT > void std::fpos< _StateT >::state (_StateT __st) [inline]

Remember the value of st.

Definition at line 147 of file postypes.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.